Bug 140830 - Internal compiler error: Error reporting routines re-entered.
Internal compiler error: Error reporting routines re-entered.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc3 (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-25 05:03 EST by Andreas Bernauer
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:42:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The mentioned preprocessed source file in gzip format. (148.35 KB, application/x-gzip)
2004-11-25 05:08 EST, Andreas Bernauer
no flags Details

  None (edit)
Description Andreas Bernauer 2004-11-25 05:03:13 EST
From Bugzilla Helper:
User-Agent: Opera/7.11 (Linux 2.4.4-4GB i686; U)  [en]

Description of problem:
(A) This is a bug in RedHat Linux 9.  However, Bugzilla did not offer me this product, so I 
post it here (after searching around for half an hour) and hope for the best. I did not report 
this problem to Bugzilla.
(B) When compiling my (ill-written) code, gcc reports an internal compiler error and asks 
me to report it, so here it is.  See below for output results.

The source internal-compiler-error-gcc.ii (preprocessed as requested) is attached.  
Versions are:

cat /etc/redhat-release 
Red Hat Linux release 9 (Shrike)

gcc --version
gcc (GCC) 3.2.2 20030222 (Red Hat Linux 3.2.2-5)

Version-Release number of selected component (if applicable):
gcc-3.2.2-5

How reproducible:
Always

Steps to Reproduce:
1. Say: g++ internal-compiler-error-gcc.ii
with the attached preprocessed source file.


    

Actual Results:  I get the following output, reporting an internal compiler error.

10:29 [~] g++ internal-compiler-error-gcc.ii
segment.C:97: parse error before `Normalize'
segment.C: In function `int readOptions(...)':
segment.C:101: `argc' undeclared (first use this function)
segment.C:101: (Each undeclared identifier is reported only once for each 
   function it appears in.)
segment.C:101: `argv' undeclared (first use this function)
segment.C:104: `threshold' undeclared (first use this function)
segment.C:107: `iMinMass' undeclared (first use this function)
segment.C:110: `bUseGrey' undeclared (first use this function)
segment.C:113: `gnuplotFile' undeclared (first use this function)
segment.C:116: `gridFile' undeclared (first use this function)
segment.C:129: `tNorm' undeclared (first use this function)
segment.C:131: `bNormalize' undeclared (first use this function)
segment.C:134: jump to case label
segment.C:120:   crosses initialization of `int iComma'
segment.C:119:   crosses initialization of `std::string sBorders'
segment.C:137: jump to case label
segment.C:120:   crosses initialization of `int iComma'
segment.C:119:   crosses initialization of `std::string sBorders'
segment.C:138: jump to case label
segment.C:120:   crosses initialization of `int iComma'
segment.C:119:   crosses initialization of `std::string sBorders'

Internal compiler error: Error reporting routines re-entered.
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  The compiler should just report the errors and not issue an internal 
compiler error.

Additional info:

The resolution of this bug does not have any priority for me, as the code really contains 
errors and the rewritten (correct) version does not trigger the bug.
However, a compiler should not behave that way, so I think, this should be fixed.

I don't know whether this problem has been reported/fixed before.  As far as I saw, there 
are internal compiler errors reported, but I don't see a way to check if they are the same as 
mine.
Comment 1 Andreas Bernauer 2004-11-25 05:08:25 EST
Created attachment 107454 [details]
The mentioned preprocessed source file in gzip format.

Could not attach source file on initial submission (?), so here it is.
Comment 4 Jakub Jelinek 2005-01-03 04:35:27 EST
This is http://gcc.gnu.org/PR7566 bug.
I have verified the patch fixes it and will include it in next RHEL3 gcc build.
Comment 5 Jakub Jelinek 2005-01-04 12:58:06 EST
Fix for this has been added to gcc-3.2.3-50, for the time being available from:
ftp://people.redhat.com/jakub/gcc/3.2.3-50/
Comment 6 Tim Powers 2005-05-18 09:42:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-258.html

Note You need to log in before you can comment on or make changes to this bug.